> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/ko/panther/detections-repo/pat/managing-scheduled-prompts.md).

# Panther 분석 도구로 예약된 프롬프트 관리

## 개요

[예약된 AI 프롬프트](/ko/ai/using-panther-ai/scheduled-ai-prompts.md) 정의된 일정에 따라 Panther AI 분석을 자동으로 실행합니다. 검증, 패키징, 그리고 CI/CD를 통한 업로드를 포함해 이를 코드처럼 관리할 수 있으며, 다음을 사용합니다 [Panther Analysis Tool (PAT)](/ko/panther/detections-repo/pat.md), 규칙 및 예약 검색을 관리하는 방식과 동일하게.

{% hint style="warning" %}
대량 업로드는 **공유 전용**: 다음이 있는 프롬프트는 `Private: true` 가져오기 시 거부됩니다. 백업용으로 비공개 프롬프트를 다운로드할 수 있지만, 다시 가져오기는 실패합니다. 프롬프트를 비공개로 설정할 수 있는 것은 Panther Console뿐입니다.
{% endhint %}

## 사전 요구 사항

* PAT는 [설치되어 있어야 하며 API 토큰으로 인증되어야 합니다](/ko/panther/detections-repo/pat/install-configure-and-authenticate-with-pat.md). **예약 프롬프트에는 API 토큰 인증이 필요합니다** (`--api-token` 및 `--api-host`) — 프롬프트에서는 AWS 프로필 인증이 지원되지 않습니다. 모든 프롬프트에는 실제 소유자가 있어야 하기 때문입니다.
* API 토큰의 역할은 다음 권한을 보유해야 합니다:
  * `BulkUpload` (또는 `BulkUploadValidate` 에 대한 `validate` 만)
  * `ManageScheduledPrompts`
  * `AIRunAsModify` — API 토큰으로 업로드할 때는 항상 필요합니다(토큰은 결코 자기 자신의 `RunAsUser`); 사용자 인증의 경우, 프롬프트의 `RunAsUser` 가 다른 사용자일 때만 필요합니다.
* 다음 `RunAsUser` 대상(사용자 또는 API 토큰)은 다음을 보유해야 합니다 **Panther AI 실행** 권한.

참고 [RBAC](/ko/system-configuration/rbac.md) 권한 세부 정보는 아래를 참조하세요.

## 예약 프롬프트 작성

각 프롬프트는 단일 YAML 문서입니다(파일당 프롬프트 하나). PAT가 콘텐츠를 자동 탐지할 때(명시적인 `--path`없이 실행될 때), 프롬프트가 포함된 폴더 이름에는 `scheduled_prompts` 가 포함되어 있어야 합니다. 다음을 `--path` 프롬프트 폴더에 직접 지정하면(아래 예시와 같이), PAT는 이름과 관계없이 해당 경로를 탐색합니다.

```yaml
AnalysisType: scheduled_prompt
PromptName: weekly_iam_review
DisplayName: 주간 IAM 검토
Description: 이번 주에 생성된 특이한 새 IAM 사용자를 요약하세요.
PromptText: |
  이번 주에 생성된 새 IAM 사용자를 살펴보세요.
  특이한 점이 있으면 모두 요약하세요. 특히 광범위한 권한을 가진 계정에 주목하세요.
OutputLength: 중간
Private: false
Enabled: true
RunAsUser: alice@example.com
Schedule:
  CronExpression: "0 9 * * 1"
  TimeoutMinutes: 10
```

전체 필드 참조는 다음을 참조하세요 [예약 프롬프트를 코드로 관리](/ko/ai/using-panther-ai/scheduled-ai-prompts.md#manage-scheduled-prompts-as-code).

## 검증 및 업로드

```bash
# 변경 사항을 기록하지 않고 검증
pat validate --path ./scheduled_prompts --api-host "$HOST" --api-token "$TOKEN"

# 업로드
pat upload --path ./scheduled_prompts --api-host "$HOST" --api-token "$TOKEN"
```

업서트 키는 `PromptName` (공유 프롬프트에 한정됩니다). 파일을 다시 업로드하면 기존 공유 프롬프트가 제자리에서 업데이트되고 소유자가 유지되며, 중복이 생성되지 않습니다.

## 프롬프트 폐기

없습니다 `pat delete` 예약 프롬프트에는 없습니다. 프롬프트를 코드에서 순환 대상에서 제외하려면 `Enabled: false` 로 설정하고 다시 업로드하세요. 프롬프트를 영구적으로 삭제하려면 다음을 사용하세요 [Panther 콘솔](/ko/ai/using-panther-ai/scheduled-ai-prompts.md#delete-a-scheduled-prompt).

## 기존 프롬프트 다운로드

콘솔에서 프롬프트를 YAML로 내보내 버전 관리 아래에 둘 수 있습니다. 참조하세요 [예약 프롬프트를 코드로 관리](/ko/ai/using-panther-ai/scheduled-ai-prompts.md#manage-scheduled-prompts-as-code).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.panther.com/ko/panther/detections-repo/pat/managing-scheduled-prompts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
